Acontext
Agent_skillsIdFile

Get file from agent skill

GET
/agent_skills/{id}/file

Get file content or download URL from agent skill. If the file is text-based (parseable), returns parsed content. Otherwise, returns a presigned download URL.

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Path Parameters

id*string

Agent skill UUID

Query Parameters

file_path*string

File path within the skill (e.g., 'scripts/extract_text.json')

expire?integer

URL expiration in seconds for presigned URL (default 900)

Response Body

application/json

curl -X GET "https://loading/api/v1/agent_skills/string/file?file_path=string"
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "content": {
      "raw": "string",
      "type": "string"
    },
    "mime": "string",
    "path": "string",
    "url": "string"
  }
}